Last Comment Bug 917479 - Starting a simulator changes host and port settings
: Starting a simulator changes host and port settings
Status: RESOLVED FIXED
: verifyme
Product: Firefox
Classification: Client Software
Component: Developer Tools: WebIDE (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: Firefox 27
Assigned To: Paul Rouget [:paul]
: Manuela Muntean [Away]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 13:01 PDT by J. Ryan Stinnett [:jryans] (use ni?) (on PTO Sept. 10 - 25)
Modified: 2013-11-12 07:50 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified
verified
fixed


Attachments
Patch v1 (1.22 KB, patch)
2013-09-26 06:51 PDT, Paul Rouget [:paul]
no flags Details | Diff | Splinter Review
Patch V2 (1.79 KB, patch)
2013-09-27 06:34 PDT, Paul Rouget [:paul]
poirot.alex: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description J. Ryan Stinnett [:jryans] (use ni?) (on PTO Sept. 10 - 25) 2013-09-17 13:01:56 PDT
Right now, there's only one set of host and port settings in the connection footer.

If you start a simulator, the port will likely change to a randomly chosen port at startup time.  If you later want to connect to a device, you'll have to edit the port back to 6000 first, then connect.

Generally, it feels like we may need to rethink the flow of the connection footer to make it simpler to preserve the device settings.
Comment 1 Paul Rouget [:paul] 2013-09-18 07:49:24 PDT
If you re-use the connection used by the Simulator, indeed.

When the simulator closes, we should kill the connection as well, and create a new one.
Comment 2 Paul Rouget [:paul] 2013-09-18 07:53:11 PDT
(not critical for 26)
Comment 3 Paul Rouget [:paul] 2013-09-26 06:51:00 PDT
Created attachment 810563 [details] [diff] [review]
Patch v1
Comment 4 Alexandre Poirot [:ochameau] 2013-09-26 07:14:37 PDT
Comment on attachment 810563 [details] [diff] [review]
Patch v1

Needs rebase, connected listener in now a singleton.
Comment 5 Alexandre Poirot [:ochameau] 2013-09-26 07:15:30 PDT
The conflicting patch is the one from bug 919681.
Comment 6 Paul Rouget [:paul] 2013-09-27 06:34:23 PDT
Created attachment 811116 [details] [diff] [review]
Patch V2
Comment 7 Alexandre Poirot [:ochameau] 2013-09-30 09:45:02 PDT
Comment on attachment 811116 [details] [diff] [review]
Patch V2

Review of attachment 811116 [details] [diff] [review]:
-----------------------------------------------------------------

FYI: If you launch the simulator and immediatly click on cancel, it doesn't reset to 6000.
Otherwise, the patch works fine in sane usages of the simulator.
Comment 8 Ryan VanderMeulen [:RyanVM] 2013-10-01 14:46:52 PDT
https://hg.mozilla.org/integration/fx-team/rev/d079bd51114c
Comment 9 Ed Morley [:emorley] 2013-10-02 09:44:05 PDT
https://hg.mozilla.org/mozilla-central/rev/d079bd51114c
Comment 10 Paul Rouget [:paul] 2013-10-03 10:36:23 PDT
Comment on attachment 811116 [details] [diff] [review]
Patch V2

[Approval Request Comment]
Bug caused by (feature/regressing bug #): new feature (app manager)
User impact if declined: connection params messed up after simulator started
Testing completed (on m-c, etc.): m-c
Risk to taking this patch (and alternatives if risky): low
String or IDL/UUID changes made by this patch: none
Comment 11 Ryan VanderMeulen [:RyanVM] 2013-10-07 07:54:48 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/90ad9f7c9795
Comment 12 Manuela Muntean [Away] 2013-11-12 07:50:54 PST
Verified as fixed with: latest Aurora 27.0a2, latest Nightly 28.0a1 and latest Beta 26 beta 4, on: Win 7 32-bit, Ubuntu 13.04 32-bit, Mac OS X 10.6.8

Note You need to log in before you can comment on or make changes to this bug.